Module java.base
Package java.nio.file

## Enum FileVisitOption

- java.lang.Object
- - java.lang.Enum<FileVisitOption>
  - - java.nio.file.FileVisitOption

All Implemented Interfaces:
  `Serializable`, `Comparable<FileVisitOption>`

    public enum FileVisitOption
    extends Enum<FileVisitOption>

Defines the file tree traversal options.

Since:
  1.7
See Also:
  `Files.walkFileTree(java.nio.file.Path, java.util.Set<java.nio.file.FileVisitOption>, int, java.nio.file.FileVisitor<? super java.nio.file.Path>)`

### Enum Constant Summary

Enum Constants
`FOLLOW_LINKS` Follow symbolic links.

### Method Summary

All Methods Static Methods Concrete Methods
`static FileVisitOption` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static FileVisitOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FOLLOW_LINKS

    public static final FileVisitOption FOLLOW_LINKS

Follow symbolic links.

### Method Detail

#### values

    public static FileVisitOption[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FileVisitOption c : FileVisitOption.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FileVisitOption valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null